stages:
  - pack


docker:
  stage: pack
  image: docker:latest
  services:
    - name: docker:dind
      alias: docker
  variables:
    DOCKER_TLS_CERTDIR: ""
    DOCKER_DRIVER: overlay2
    DOCKER_HOST: tcp://docker:2375
    IMAGE_TAG: $HUB_CI_REGISTRY_IMAGE/redirect:$CI_COMMIT_REF_NAME
  before_script:
    - docker --config ~/.hub login -u $HUB_USER -p $HUB_PASSWORD $HUB_REGISTRY
    - docker info
  script:
    - docker build --no-cache=true -t $IMAGE_TAG .
    - docker --config ~/.hub push $IMAGE_TAG
